# Generated by Django 3.2.9 on 2022-07-01 05:32
import django.db.models.deletion
from django.db import migrations
from django.db import models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("contenttypes", "0002_remove_content_type_name"),
        ("auth", "0012_alter_user_first_name_max_length"),
    ]

    operations = [
        migrations.CreateModel(
            name="PermissionStructureModel",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "group",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="auth.group"
                    ),
                ),
                (
                    "model",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="contenttypes.contenttype",
                    ),
                ),
            ],
            options={
                "verbose_name": "Field permission structure",
                "verbose_name_plural": "Field permission structures",
                "unique_together": {("group", "model")},
            },
        ),
        migrations.CreateModel(
            name="StructField",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "field",
                    models.CharField(
                        max_length=100,
                        verbose_name="Fields asociado al modelo seleccionado",
                    ),
                ),
                ("change", models.BooleanField(default=False)),
                ("read", models.BooleanField(default=False)),
                (
                    "structure",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="fields",
                        to="admin_field_permissions.permissionstructuremodel",
                    ),
                ),
            ],
            options={
                "unique_together": {("structure", "field")},
            },
        ),
    ]
